Error installing Free PBX

Hello guys; i am trying to install the freePBX distro on one of my ESXI host and i am getting this error message at the first boot
"Some firstboot error occured, and the system is not properly setup.\nCheck to see if you have internet access and re-run /etc/pbx_first_boot.sh\nPress ctrl-alt-f1 to continue"

I had read a lot brfore posting a topic and no one seems to have the answer for it. I read this is a bug and should not happen on the stable version that you guys currently have. here is my

/var/log/pbx/install/firstboot.log

#INCLUDING stringent.sh

stringent.sh copyright michael potter 2008

stringent.sh is intended to reduce the problems associated with

using bash by turning on bash options that make errors more

apparent. This will not eliminate problems and I am sure there

is some case where some problem will be made worse.

USE AT YOUR OWN RISK.

set -o errexit # errexit first

  • set -o errexit
    set -o noclobber
  • set -o noclobber
    set -o nounset
  • set -o nounset
    set -o pipefail # if you fail on this line, get a newer version of bash.
  • set -o pipefail

function traperr
{
declare -i i;
declare -i nestlevel;
declare Message=${1:-""}

nestlevel=${#FUNCNAME[@]}

if (( $nestlevel <= 2 ))
then
echo “ERROR: ${BASH_SOURCE[1]}:${BASH_LINENO[0]} $Message” >&2
else
echo “ERROR: ${FUNCNAME[1]}(${BASH_SOURCE[1]}:~${BASH_LINENO[0]}) $Message” >&2
for (( i = 2 ; i < $nestlevel ; i++ ))
do
echo " ${FUNCNAME[$i]}(${BASH_SOURCE[$i]}:~${BASH_LINENO[($i-1)]})" >&2
done
fi

if BASH_SUBSHELL is 0, then script will exit anyway.

if (( $BASH_SUBSHELL >= 3 ))
then
kill $$
fi
echo -e “Some firstboot error occured, and the system is not properly setup.\nCheck to see if you have internet access and re-run /etc/pbx_first_boot.sh\nPress ctrl-alt-f1 to continue” >> /dev/tty8
exit 1
}

function traperrsimple
{

Use this function if the above function fails

echo “ERROR: ${BASH_SOURCE[0]} ${LINENO}” >&2

if BASH_SUBSHELL is 0, then script will exit anyway.

if (( $BASH_SUBSHELL >= 1 ))
then
kill $$
fi
}

set -o errtrace

  • set -o errtrace
    trap traperr ERR
  • trap traperr ERR

function errexiton
{
set -o errexit
trap traperr ERR
}

function errexitoff
{
set +o errexit
trap ‘’ ERR
}
#END INCLUDE

test for internet and send back to freepbx

log_info “Testing for internet access”

  • log_info ‘Testing for internet access’
  • echo ‘Testing for internet access’
    INTERFACE=$(ip route show | awk ’ /^default/ { print $5 }’)
    ip route show | awk ’ /^default/ { print $5 }’)
    ip route show | awk ’ /^default/ { print $5 }’
    ++ awk ’ /^default/ { print $5 }’
    ++ ip route show
  • INTERFACE=eth0
    MACADDR=$(ip -o link show ${INTERFACE} | awk ‘/link/ {print $13}’)
    ip -o link show ${INTERFACE} | awk ‘/link/ {print $13}’)
    ip -o link show ${INTERFACE} | awk ‘/link/ {print $13}’
    ++ awk ‘/link/ {print $13}’
    ++ ip -o link show eth0
  • MACADDR=00:0c:29:48:22:65
    MACHASH=$(echo -en ${MACADDR} | md5sum - | awk ‘/-/ {print $1}’)
    echo -en ${MACADDR} | md5sum - | awk ‘/-/ {print $1}’)
    echo -en ${MACADDR} | md5sum - | awk ‘/-/ {print $1}’
    ++ awk ‘/-/ {print $1}’
    ++ md5sum -
    ++ echo -en 00:0c:29:48:22:65
  • MACHASH=8fa07f76fbcac7092307d098ea3247f5
    ARCH=$(uname -m)
    uname -m)
    uname -m
    ++ uname -m
  • ARCH=i686
    FREEPBXVERS=$(head -n 1 /etc/schmooze/pbx-version)
    head -n 1 /etc/schmooze/pbx-version)
    head -n 1 /etc/schmooze/pbx-version
    ++ head -n 1 /etc/schmooze/pbx-version
  • FREEPBXVERS=2.210.62-5
    INSTALLTYPE=$(cat /installed-version | sed -e ‘s/.kickstart-([^.])./\1/’)
    cat /installed-version | sed -e 's/.kickstart-([^.]).
    /\1/’)
    cat /installed-version | sed -e ‘s/.kickstart-([^.])./\1/’
    ++ sed -e 's/.kickstart-([^.]).
    /\1/’
    ++ cat /installed-version
  • INSTALLTYPE=raid-asterisk8
    UARETURN=$(curl -s -m 30 -A “FreePBX Firstboot FreePBX-${FREEPBXVERS} ${ARCH} ${INSTALLTYPE}” --data mac=${MACADDR} --data mhash=${MACHASH} http://kickstart.freepbxdistro.org/install-log/)
    curl -s -m 30 -A “FreePBX Firstboot FreePBX-${FREEPBXVERS} ${ARCH} ${INSTALLTYPE}” --data mac=${MACADDR} --data mhash=${MACHASH} http://kickstart.freepbxdistro.org/install-log/)
    curl -s -m 30 -A “FreePBX Firstboot FreePBX-${FREEPBXVERS} ${ARCH} ${INSTALLTYPE}” --data mac=${MACADDR} --data mhash=${MACHASH} http://kickstart.freepbxdistro.org/install-log/
    ++ curl -s -m 30 -A ‘FreePBX Firstboot FreePBX-2.210.62-5 i686 raid-asterisk8’ --data mac=00:0c:29:48:22:65 --data mhash=8fa07f76fbcac7092307d098ea3247f5 http://kickstart.freepbxdistro.org/install-log/
  • UARETURN=
    traperr
    ++ traperr
    ++ declare -i i
    ++ declare -i nestlevel
    ++ declare Message=
    ++ nestlevel=2
    ++ (( 2 <= 2 ))
    ++ echo 'ERROR: ./pbx_first_boot.sh:103 '
    ERROR: ./pbx_first_boot.sh:103
    ++ (( 0 >= 3 ))
    ++ echo -e ‘Some firstboot error occured, and the system is not properly setup.\nCheck to see if you have internet access and re-run /etc/pbx_first_boot.sh\nPress ctrl-alt-f1 to continue’
    ++ exit 1

Thanks in advance

Just installed both 32 and 64 on esxi 5.1 and had same problem on both on two separate hosts.

can someone please help us, any help will be appreciate

I’ve not experimented with ESXI, but take a look at this thread: http://www.freepbx.org/forum/freepbx/installation/freepbx-on-vmware-esxi-4

I was following a post and by mistake i Edit the Loopback interface with an static ip (the one the dhcp gave me on eth0) so this is what i did.

nano /etc/sysconfig/network-scripts/ifcfg-lo

input the following

DEVICE=lo
IPADDR=192.168.1.20
NETMASK=255.255.255.0
NETWORK=192.168.1.0

If you’re having problems with gated making 127.0.0.0/8 a martian,

you can change this to something else (255.255.255.255, for example)

BROADCAST=192.168.1.255
GATEWAY=192.168.1.1
ONBOOT=yes
NAME=loopback

“Save it” and restart network service

service network restart

You are going to loose connection inside the LAN specially if you ssh into it. So open vclien and go to the vm and start working from there.

Now run the scrip

cd /etc/
./pbx_first_boot.sh

This time is going to work

When it reboots edit the loopback again to its default settings.

nano /etc/sysconfig/network-scripts/ifcfg-lo

DEVICE=lo
IPADDR=127.0.0.1
NETMASK=255.0.0.0
NETWORK=127.0.0.0

If you’re having problems with gated making 127.0.0.0/8 a martian,

you can change this to something else (255.255.255.255, for example)

BROADCAST=127.255.255.255
ONBOOT=yes
NAME=loopback

“Save it” and restart network service

service network restart

Now you should be able to access Freepbx from the lan… I hope this help a lot of ppl like me. If you guys have any questions please ask.

if you know more than me you may abbreviate some of the commands. i am starting with linux so i have to look each command separate.

I also getting this error. I followed you post #5, but the lo address is not change to 192.168.1.10. I also restart but the problem exit “Some firstboot error occured, and the system is not properly setup.\nCheck to see if you have internet access and re-run /etc/pbx_first_boot.sh\nPress ctrl-alt-f1 to continue”.